Viewing Issue Advanced Details Jump to Notes ] asuka.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00377 Crash/Freeze Critical (emulation) Have not tried Jan 29, 2008, 06:38 8 days ago
Tester Scagazza View Status Public Platform
Assigned To Resolution Open OS
Status [?] Confirmed   Driver asuka.cpp
Version 0.108u3 Fixed in Version Build
Summary 00377: bonzeadv: From the third level, if you die, the game hangs because the restart level is wrong.
Description The documentation reports that emulation is good but from third level, but if you die, the game hangs because the restart level is wrong. So waiting for some fixes by Bryan McPhail I think that the documentation must be changed to imperfect or not working.
Steps To Reproduce
Additional Information maxholz / sjyune
Flags
Regression Version
Affected Sets / Systems bonzeadv
Attached Files
png file icon bonzeadv0108u3yel.png (7,835 bytes)  Feb 14, 2008, 08:45


-  Notes
User avatar
No.08354
NekoEd
(Senior Tester)
Mar 15, 2012, 13:35
I don't know if emulation has improved or if the original report is a little sparse on it's info, but the "START POSITION ERROR" seems to occur either randomly, or has improved; I did not get the error until I died at the Level 3 boss.
User avatar
No.08778
haynor666
(Tester)
Jun 26, 2012, 06:13
Still happens. Is MCU dumped/hooked in MAME ?
User avatar
No.08779
Haze
(Senior Tester)
Jun 26, 2012, 22:51
No, it's still using simulation code.

C-Chips should be a critical target for the decap efforts because they control a LOT of complex game behavior on this, rainbow islands and operation wolf (not so much on other games) but as of yet none are dumped.
User avatar
No.12534
Davidgilmour
(Tester)
Apr 18, 2016, 11:08
edited on: Apr 18, 2016, 11:10
Hi, if I look at the mameinfo.dat page I see the following:
0.57: Improved C-Chip simulation in Bonze Adventure [Stefan Jokisch, Ruben Panossian]. Fixed a garbage line when you lose a life vs. level 3 boss in Bonze Adventure and clones. Changed visible area to 320x224 and fixed rom names.

But when I look at the mame release notes of 0.57 I only see information about the improved C-Chip.

Apparently the crash from stage 3 was fixed but not implemented in the 0.57 release! So all we have to do is look at the code that was programmed already and release that!

http://www.progettoemma.net/index.php?gioco=bonzeadv&lang=en

http://mamedev.org/releases/whatsnew_057.txt

User avatar
No.13351
Fujix
(Administrator)
Nov 11, 2016, 17:44
I don't know when but this has been fixed.
User avatar
No.13355
haynor666
(Tester)
Nov 13, 2016, 10:22
Tested using 179 - not fixed. It happen for me in upper part of level.
User avatar
No.13356
Haze
(Senior Tester)
Nov 13, 2016, 11:44
yeah, definitely not fixed.
User avatar
No.13970
Davidgilmour
(Tester)
18 days ago
@fujix , @haze , @haynor666 please read my post no. 12534 on this page.
There is a guy who fixed it but the mame guys forgot to use his code in mame.
So all you have to do is get the code from release candidate 0.57. Thanks.
User avatar
No.13990
haynor666
(Tester)
8 days ago
edited on: 8 days ago
That's how it's fixed in ARCADE32/64. Fix by demonkatze from 1emulation forum. Still probably not perfect but better than nothing.

diff -Nru src/mame/machine/bonzeadv.cpp src-fx/mame/machine/bonzeadv.cpp
--- src/mame/machine/bonzeadv.cpp Wed Jun 28 01:04:27 2017
+++ src-fx/mame/machine/bonzeadv.cpp Sun Jul 2 17:12:20 2017
@@ -65,7 +65,8 @@
  { 0x0a20, 0x0c80, 0x0000, 0x0100, 0x0a68, 0x0018, 0x0070, 0x0058 },
  { 0x0c80, 0x0e00, 0x0000, 0x0100, 0x0c40, 0x0018, 0x0070, 0x0040 },
 
- { 0x0380, 0x07c0, 0x0100, 0x0200, 0x0038, 0x0418, 0x0070, 0x00a8 },
+ { 0x0380, 0x07c0, 0x0100, 0x0200, 0x0438, 0x0018, 0x0070, 0x00a8 },
+// { 0x0380, 0x07c0, 0x0100, 0x0200, 0x0038, 0x0418, 0x0070, 0x00a8 },
  { 0xff }
 };
 
@@ -97,17 +98,20 @@
  { 0x06e0, 0x0840, 0x04f4, 0x05f8, 0x0670, 0x0518, 0x0078, 0x0048 },
  { 0x0840, 0x0a10, 0x04f4, 0x05f8, 0x07d8, 0x0518, 0x0070, 0x0060 },
  { 0x0a10, 0x0b80, 0x04f4, 0x05f8, 0x09e8, 0x0500, 0x0080, 0x0080 },
- { 0x0b80, 0x1090, 0x04f4, 0x05f8, 0x0b20, 0x0418, 0x0070, 0x0080 },
+// { 0x0b80, 0x1090, 0x04f4, 0x05f8, 0x0b20, 0x0418, 0x0070, 0x0080 },
 
  { 0x0230, 0x03a0, 0x040c, 0x04f4, 0x02e8, 0x04b0, 0x0080, 0x0090 },
- { 0x03a0, 0x03b0, 0x040c, 0x04f4, 0x0278, 0x0318, 0x0078, 0x00a8 },
- { 0x0520, 0x08e0, 0x040c, 0x04f4, 0x0608, 0x0318, 0x0080, 0x0058 },
- { 0x08e0, 0x0a00, 0x040c, 0x04f4, 0x0878, 0x0318, 0x0078, 0x0098 },
+// { 0x03a0, 0x03b0, 0x040c, 0x04f4, 0x0278, 0x0318, 0x0078, 0x00a8 },
+// { 0x0520, 0x08e0, 0x040c, 0x04f4, 0x0608, 0x0318, 0x0080, 0x0058 },
+// { 0x08e0, 0x0a00, 0x040c, 0x04f4, 0x0878, 0x0318, 0x0078, 0x0098 },
 
+ { 0x0840, 0x0b80, 0x040c, 0x04f4, 0x0908, 0x0418, 0x0078, 0x0030 },
+ { 0x0b80, 0x1090, 0x040c, 0x04f4, 0x0b20, 0x0418, 0x0070, 0x0080 },
  { 0x0230, 0x03b0, 0x02f8, 0x040c, 0x0278, 0x0318, 0x0078, 0x00a8 },
  { 0x03b0, 0x0520, 0x02f8, 0x040c, 0x0390, 0x0318, 0x0070, 0x00b8 },
  { 0x0520, 0x08e0, 0x02f8, 0x040c, 0x0608, 0x0318, 0x0080, 0x0058 },
- { 0x08e0, 0x0a00, 0x02f8, 0x040c, 0x0878, 0x0318, 0x0078, 0x0098 }
+ { 0x08e0, 0x0a00, 0x02f8, 0x040c, 0x0878, 0x0318, 0x0078, 0x0098 },
+ { 0xff } // MAMEFX
 };
 
 static const struct cchip_mapping level03[] =

User avatar
No.13991
Davidgilmour
(Tester)
8 days ago
I just played the game on the GCW Zero hadheld, which has a version of XMAME, based on MAME 0.84
The game played perfect in that version, there is no bug in it. Maybe the developers can look at the source code?
More on this XMAME at
http://boards.dingoonity.org/gcw-zero-emulation/xmame-v1-0-release/
User avatar
No.13992
Haze
(Senior Tester)
8 days ago
please stop bumping this, it will be taken care of properly in due time.